//package IM;

import javax.crypto.SealedObject;
import java.io.Serializable;

class Squeal implements Serializable {
    String sender;

    SealedObject sealedMessage;

    public Squeal(SealedObject msg, String s) {
        sender = s;
        sealedMessage = msg;
    }

    public String getSender() {
        return sender;
    }

    public SealedObject getSealedMessage() {
        return sealedMessage;
    }
}
